Skip to main content
POST
Create BankTransfer record

Authorizations

X-API-KEY
string
header
required

Headers

Idempotency-Key
string

Optional. A unique value (a UUID works well) identifying this operation. If the request is repeated with the same key, the original response is replayed instead of the operation running again, so a retry cannot create a duplicate record. Results are replayable for 48 hours. Reusing a key with a different request body returns 422.

Maximum string length: 255

Query Parameters

apply_default_classifications
boolean
default:true

When false, store submitted line classifications, including an empty list. When omitted, organization defaults apply to new lines with omitted or empty classifications only when the organization setting is enabled.

Body

application/json

Input schema for creating BankTransfer records.

date
string<date>
required
company_id
integer
required
debit_bank_account_number
integer
required
credit_bank_account_number
integer
required
amount
required
Required range: x > 0
transaction_date
string<date> | null
exchange_rate
default:1.00
calculate_gain_loss
boolean
default:true
base_currency_anchor
enum<string> | null
Available options:
sending,
receiving
sending_base_rate
Required range: x > 0
receiving_base_rate
Required range: x > 0
memo
string
default:""
reference_number
string | null
Required string length: 1 - 128
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

internal_id
integer
required
number
integer
required
transaction_id
integer
required
debit_entry_id
integer
required
credit_entry_id
integer
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

company_id
integer
required
company_name
string
required
company_currency
string
required
debit_bank_account_number
integer | null
required
credit_bank_account_number
integer | null
required
amount
string
required

Transfer amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
sending_base_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
receiving_base_amount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
sending_base_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
receiving_base_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
memo
string
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

bank_match_status
string | null
reconciliation_status
string | null
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

code
string | null
calculate_gain_loss
boolean
default:true
base_currency_anchor
enum<string> | null
Available options:
sending,
receiving
reference_number
string | null
currency_iso_4217_code
string[]